Jitsi Meet (Docker-Compose)
===========================

A single-instance [Jitsi Meet](https://jitsi.org/jitsi-meet/) server that can be run behind [Traefik](https://traefik.io).

Requirements
------------

- Ansible (implemented and tested with v2.9)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Optional: Traefik

Role Variables
--------------

| Variable                  | Description                                                                   | Default          |
| ----------                | -------------                                                                 |                  |
| docker_user               | The user who is going to manage/run the Docker Compose services               | deploy           |
| jitsi_enable_letsencrypt  | Jitsi will take care of Let's Encrypt certificates                            | 0                |
| *jitsi_letsencrypt_email* | E-Mail adress used for requesting certificates                                | Not set          |
| jitsi_exposed_http_port   | Exposed container port for HTTP                                               | 8000             |
| jitsi_exposed_https_port  | Exposed container port for HTTPS                                              | 8443             |
| jitsi_public_url          | The public URL under which Jitsi Meet can be accessed                         | http://localhost |
| jitsi_timezone            |                                                                               | Europe/Amsterdam |
| jitsi_virtual_host        | The virtual host that is e.g. used by Traefik, usually part of the public url | localhost        |

Dependencies
------------



Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - { role: username.rolename, x: 42 }

License
-------

MIT

Author Information
------------------

See [jotbe.io](https://jotbe.io/)
